Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType > Class Template Reference

Inheritance diagram for osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >:

[legend]
List of all members.

## Public Member Functions
| TemplateIndexArray ()
| TemplateIndexArray (const TemplateIndexArray &ta, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| TemplateIndexArray (unsigned int no)
| TemplateIndexArray (unsigned int no, T *ptr)
template<class InputIterator> | TemplateIndexArray (InputIterator first, InputIterator last)
TemplateIndexArray & | operator= (const TemplateIndexArray &array)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &copyop) const
| Clone an object, with Object* return type.
virtual void | accept (ArrayVisitor &av)
virtual void | accept (ConstArrayVisitor &av) const
virtual void | accept (unsigned int index, ValueVisitor &vv)
virtual void | accept (unsigned int index, ConstValueVisitor &vv) const
virtual int | compare (unsigned int lhs, unsigned int rhs) const
| Return -1 if lhs element is less than rhs element, 0 if equal, 1 if lhs element is greater than rhs element.
virtual const GLvoid * | getDataPointer () const
virtual unsigned int | getTotalDataSize () const
virtual unsigned int | getNumElements () const
virtual unsigned int | index (unsigned int pos) const
## Protected Member Functions
virtual | ~TemplateIndexArray ()

### template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
class osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >

## Constructor & Destructor Documentation

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::TemplateIndexArray | ( |  | ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::TemplateIndexArray | ( | const TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType > & | ta,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::TemplateIndexArray | ( | unsigned int | no | ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::TemplateIndexArray | ( | unsigned int | no,
|  | T * | ptr
| ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
template<class InputIterator>
osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::TemplateIndexArray | ( | InputIterator | first,
|  | InputIterator | last
| ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::~TemplateIndexArray | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
void osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::accept | ( | unsigned int | index,
|  | ConstValueVisitor & | vv
| ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
void osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::accept | ( | unsigned int | index,
|  | ValueVisitor & | vv
| ) | `[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
void osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::accept | ( | ConstArrayVisitor & | av | ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
void osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::accept | ( | ArrayVisitor & | av | ) | `[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual Object* osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::clone | ( | const CopyOp & | copyop | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual Object* osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual int osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::compare | ( | unsigned int | lhs,
|  | unsigned int | rhs
| ) | const`[inline, virtual]`

| Return -1 if lhs element is less than rhs element, 0 if equal, 1 if lhs element is greater than rhs element. Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual const GLvoid* osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::getDataPointer | ( |  | ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual unsigned int osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::getNumElements | ( |  | ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual unsigned int osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::getTotalDataSize | ( |  | ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual unsigned int osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::index | ( | unsigned int | pos | ) | const`[inline, virtual]`

| Implements osg::IndexArray.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
TemplateIndexArray& osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::operator= | ( | const TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType > & | array | ) | `[inline]`

The documentation for this class was generated from the following file:

- Array